dada 2 trimming error

Good morning all,

I’m new to sequencing and I have already hit a roadblock! I have seen quite a few people reach this error while trying to trim with dada2 following demultiplexing but there doesn’t seem to be a straight forward answer here. I am using QIIME2/2019/7 on my 16s sequencing samples. I have V3-V4 paired end data and I keep getting a Plugin error from dada2. Any and all help is appreciated. Here is the code I used and the error message:

qiime dada2 denoise-paired \

–verbose
–i-demultiplexed-seqs /home/n-z/vcdanie2/DuPont/sequences/demux.qza
–p-trim-left-f 17
–p-trim-left-r 21
–p-trunc-len-f 250
–p-trunc-len-r 250
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats denoising-stats.qza
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp7gozpu3m/forward /tmp/tmp7gozpu3m/reverse /tmp/tmp7gozpu3m/output.tsv.biom /tmp/tmp7gozpu3m/track.tsv /tmp/tmp7gozpu3m/filt_f /tmp/tmp7gozpu3m/filt_r 250 250 17 21 2.0 2.0 2 consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
Error: package or namespace load failed for ‘dada2’ in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]):
there is no package called ‘GenomeInfoDbData’
Execution halted
Traceback (most recent call last):
File “/home/apps/software/QIIME2/2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 234, in denoise_paired
run_commands([cmd])
File “/home/apps/software/QIIME2/2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
subprocess.run(cmd, check=True)
File “/home/apps/software/QIIME2/2019.7/lib/python3.6/subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmp7gozpu3m/forward’, ‘/tmp/tmp7gozpu3m/reverse’, ‘/tmp/tmp7gozpu3m/output.tsv.biom’, ‘/tmp/tmp7gozpu3m/track.tsv’, ‘/tmp/tmp7gozpu3m/filt_f’, ‘/tmp/tmp7gozpu3m/filt_r’, ‘250’, ‘250’, ‘17’, ‘21’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/apps/software/QIIME2/2019.7/lib/python3.6/site-packages/q2cli/commands.py”, line 327, in call
results = action(**arguments)
File “</home/apps/software/QIIME2/2019.7/lib/python3.6/site-packages/decorator.py:decorator-gen-459>”, line 2, in denoise_paired
File “/home/apps/software/QIIME2/2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/home/apps/software/QIIME2/2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/home/apps/software/QIIME2/2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 249, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Hi @Victoria_Daniels!

Hmm, looks like either your QIIME 2 environment is missing some parts, or, your computation environment is configured in such a way as to “overwrite” some QIIME 2 components.

Can you run the following and let me know what the results look like?

env
cat ~/.Rprofile

Thanks!

PS - it looks like you’re running QIIME 2 2019.7 - that version is no longer supported, I suggest you upgrade to the latest version of QIIME 2 (2020.6).

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.